Assimp - Open Asset Import Library
==================================


DEVELOPING THIS PACKAGE FOR DEBIAN
----------------------------------

this package uses CDBS as the build system and git for maintainance.
for a quick start, see
        http://wiki.debian.org/CDBS+git-buildpackage


EDITING debian/control
----------------------
please note that you should NOT modify debian/control directly, as this file
will be generated from debian/control.in using CDBS.
therefore you ought to change debian/control.in and trigger a re-creation of
debian/control using
$ DEB_MAINTAINER_MODE=1 dpkg-buildpackage -rfakeroot



IMPORTING/REPACKAGING UPSTREAM
------------------------------

upstream source ball has some peculiarities:

- it ships as "assimp--<version>-sdk.zip" and unpacks to "assimp-<verion>-sdk"
since pristine-tar cannot handle zip-files, i renamed unzipped the upstream
tarball, renamed the directory to "assimp_<version>" and created a tarball from
there.

- the upstream package contains a lot of windows precompiled code

- the upstream package contains a large number of test-models, most of them
  being BSD-licensed, but some are not (and luckily those live in a special
  folder, so it's easy to exclude them)

  because assimp had to be repacked to generate a dfsg-compliant tarball, i also
  excluded the windows binaries in one go...

following directories have been stripped for the dfsg tarball:
test/
    models-nonbsd:
	contains a number of 3D models under problematic licenses
	excluded because of license issues

    *
        the unittest infrastructure
	excluded because it only works on w32

    models
    	contains 30MB of bsd-licensed models, only used in unittests
	excluded because models are huge and not used

bin:
	contains precompiled w32 binaries
	excluded because they are of no use on debian (and eat storage)
lib:
	contains procompiled w32 binaries
	excluded because they are of no use on debian (and eat storage)

code/BoostWorkaround
	contains local copy of boost
	(i excluded them after a discussion on debian-mentors, to make sure, the
	system's boost is used)

contrib/zlib
	contains a local copy of zlib
	excluded to use the system's zlib

contrib/cppunit-1.12.1
	contains a local copy of cppunit-1.12.1
	excluded because we don't do tests and if we did we would use the
	system's cppunit

samples/glut
	contains GLUT binaries for w32
	excluded because they are of no use (and of dubious license)

this is the actual cmdline used to import the sources into the debian-git:
$ git-import-orig \
 --filter "*.lib" \
 --filter code/BoostWorkaround \
 --filter contrib/zlib --filter contrib/cppunit-1.12.1 \
 --filter samples/glut \
 --filter-pristine-tar --pristine-tar \
 --sign-tags /tmp/assimp-3.0-src.tar.gz

gbp clone
---------

Starting with gbp>0.8.1, here's an simple way to automatically fine-tune the
repository in the following ways:
- make git ignore any .pc/ directory (created by quilt)
- enable the "--follow-tags" when running 'git-push', so it's harder
  to forget to push packaging tags along with the branches.

To enable this, run gbp-clone with the '--postclone debian/gbp/postclone.sh'
option.
To enable this for ALL repositories cloned via 'gbp' (in the future), do
something like the following:

    $ mkdir -p ~/bin
    $ cp debian/gbp/postclone.sh ~/bin/gbphook-postclone
    $ cat >> ~/.gbp.conf <<EOF
    [clone]
    postclone = ~/bin/gbphook-postclone
    EOF

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 1 Aug 2016 12:15:50 +0200
